Bug 524910 - Hard dependency on synergy
Summary: Hard dependency on synergy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy-plus
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 17:06 UTC by Davide Repetto
Modified: 2010-05-12 18:01 UTC (History)
2 users (show)

Fixed In Version: synergy-plus-1.3.4-3.fc12.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-12 17:59:07 UTC


Attachments (Terms of Use)

Description Davide Repetto 2009-09-22 17:06:41 UTC
Description of problem:
=======================
Quicksynergy dependencies are satisfied by both Synergy and Synergy-plus,
but the current package depends exclusively on synergy. 

Solutions may be to depend on either of the two packages, which is elegant, but I don't really know if rpm allows it, or to depend on the synergyc and synergys executables. Which is ugly, but certainly works.

Comment 1 Adel Gadllah 2009-09-27 11:16:15 UTC
(In reply to comment #0)
> Description of problem:
> =======================
> Quicksynergy dependencies are satisfied by both Synergy and Synergy-plus,
> but the current package depends exclusively on synergy. 
> 
> Solutions may be to depend on either of the two packages, which is elegant, but
> I don't really know if rpm allows it, or to depend on the synergyc and synergys
> executables. Which is ugly, but certainly works.  

Well I prefer to avoid file based dependencies where possible.

A better solution is to have Synergy and Synergy-plus provide a virtual provide and "Provides: foo" and make quicksynergy depend on that.

No idea what we should use for "foo" though.

Comment 2 Davide Repetto 2009-10-01 12:03:08 UTC
> Well I prefer to avoid file based dependencies where possible.
> 
> A better solution is to have Synergy and Synergy-plus provide a virtual provide
> and "Provides: foo" and make quicksynergy depend on that.

Can't we just have synergy-plus provide a virtual provide for "synergy"?


 
> No idea what we should use for "foo" though.  

"synergy-app"?

Comment 3 Matthias Saou 2009-12-08 12:37:40 UTC
(In reply to comment #2)
> Can't we just have synergy-plus provide a virtual provide for "synergy"?

This definitely seems like the right thing to do, so I'll do that. See bug #538179.

Comment 4 Bug Zapper 2010-04-28 10:31:31 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Matthias Saou 2010-04-28 15:11:46 UTC
FYI, synergy-plus has been providing synergy = %{version}-%{release} for F-13 and obsoleting synergy which is no longer included. I'm not sure it's worth disrupting anything on F-11 or F-12 with the same change.

Comment 6 Matthias Saou 2010-04-28 15:27:33 UTC
Actually, making the simple change of providing synergy in the F-11 and F-12 package shouldn't be too risky. What would be more problematic, which I won't include, is obsoleting synergy from synergy-plus for F-11 and F-12.

Comment 7 Fedora Update System 2010-04-28 15:57:13 UTC
synergy-plus-1.3.4-3.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/synergy-plus-1.3.4-3.fc11.1

Comment 8 Fedora Update System 2010-04-28 15:57:18 UTC
synergy-plus-1.3.4-3.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/synergy-plus-1.3.4-3.fc12.1

Comment 9 Fedora Update System 2010-04-30 17:08:12 UTC
synergy-plus-1.3.4-3.fc11.1 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synergy-plus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/synergy-plus-1.3.4-3.fc11.1

Comment 10 Fedora Update System 2010-04-30 17:09:42 UTC
synergy-plus-1.3.4-3.fc12.1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synergy-plus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/synergy-plus-1.3.4-3.fc12.1

Comment 11 Fedora Update System 2010-05-12 17:59:02 UTC
synergy-plus-1.3.4-3.fc11.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-12 18:01:06 UTC
synergy-plus-1.3.4-3.fc12.1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.